Click or drag to resize

IntersectionSphereSphere Method

Intersects two spheres using exact calculations.

Namespace:  Rhino.Geometry.Intersect
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static SphereSphereIntersection SphereSphere(
	Sphere sphereA,
	Sphere sphereB,
	out Circle intersectionCircle
)

Parameters

sphereA
Type: Rhino.GeometrySphere
First sphere to intersect.
sphereB
Type: Rhino.GeometrySphere
Second sphere to intersect.
intersectionCircle
Type: Rhino.GeometryCircle
If intersection is a point, then that point will be the center, radius 0.

Return Value

Type: SphereSphereIntersection
The intersection type.
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.5
See Also